URL structure
Supported methods and overview
GET- used to retrieve information about the utilization of storage managed by the Covata Platform’s Content Service.
This method takes no parameters.
Detailed description
This API endpoint retrieves information about the utilization of storage managed by the Covata Platform’s Content Service. This information is broken down into the total number of bytes of storage utilized by:- All Secure Objects’ encrypted data in storage, as well as
- All read-only view data for Secure Objects whose file types (determined by file name extension) support the generation of read-only views.
Supported roles
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide):- System administrator
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Returns
A JSON-formatted response containing the following members:-
diskStorage - A member containing information about total storage utilized by the Covata Platform’s Content Service. This member contains the following sub-members:
- total - The total amount of space (in bytes) of all Secure Objects’ encrypted data in storage (managed by the Content Service).
- viewTotal - The total amount of space (in bytes) of all Secure Objects’ encrypted read-only view data in storage (managed by the Content Service).

